For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Perform a partial update to a feature flag. The request body must be a valid semantic patch, JSON patch, or JSON merge patch. To learn more the different formats, read Updates.
To make a semantic patch request, you must append domain-model=launchdarkly.semanticpatch to your Content-Type header. To learn more, read Updates using semantic patch.
The body of a semantic patch request for updating feature flags takes the following properties:
comment (string): (Optional) A description of the update.environmentKey (string): (Required for some instructions only) The key of the LaunchDarkly environment.instructions (array): (Required) A list of actions the update should perform. Each action in the list must be an object with a kind property that indicates the instruction. If the action requires parameters, you must include those parameters as additional fields in the object. The body of a single semantic patch can contain many different instructions.Semantic patch requests support the following kind instructions for updating feature flags.
These instructions require the environmentKey parameter.
Sets the flag’s targeting state to Off.
Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [ { "kind": "turnFlagOff" } ]
}
Sets the flag’s targeting state to On.
Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [ { "kind": "turnFlagOn" } ]
}
These instructions require the environmentKey parameter.
Several of the instructions for working with targeting and variations require flag rule IDs, variation IDs, or clause IDs as parameters. Each of these are returned as part of the Get feature flag response. The flag rule ID is the _id field of each element in the rules array within each environment listed in the environments object. The variation ID is the _id field in each element of the variations array. The clause ID is the _id field of each element of the clauses array within the rules array within each environment listed in the environments object.
Adds the given clauses to the rule indicated by ruleId.
ruleId: ID of a rule in the flag.clauses: Array of clause objects, with contextKind (string), attribute (string), op (string), negate (boolean), and values (array of strings, numbers, or dates) properties. The contextKind, attribute, and values are case sensitive. The op must be lower-case.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "addClauses",
"ruleId": "a902ef4a-2faf-4eaf-88e1-ecc356708a29",
"clauses": [{
"contextKind": "user",
"attribute": "country",
"op": "in",
"negate": false,
"values": ["USA", "Canada"]
}]
}]
}
Adds the flag indicated by key with variation variationId as a prerequisite to the flag in the path parameter.
key: Flag key of the prerequisite flag.variationId: ID of a variation of the prerequisite flag.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "addPrerequisite",
"key": "example-prereq-flag-key",
"variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00"
}]
}
Adds a new targeting rule to the flag. The rule may contain clauses and serve the variation that variationId indicates, or serve a percentage rollout that rolloutWeights, rolloutBucketBy, and rolloutContextKind indicate.
If you set beforeRuleId, this adds the new rule before the indicated rule. Otherwise, adds the new rule to the end of the list.
clauses: Array of clause objects, with contextKind (string), attribute (string), op (string), negate (boolean), and values (array of strings, numbers, or dates) properties. The contextKind, attribute, and values are case sensitive. The op must be lower-case.
beforeRuleId: (Optional) ID of a flag rule.
Either
variationId: ID of a variation of the flag.or
rolloutWeights: (Optional) Map of variationId to weight, in thousandths of a percent (0-100000).rolloutBucketBy: (Optional) Context attribute available in the specified rolloutContextKind.rolloutContextKind: (Optional) Context kind, defaults to userHere’s an example that uses a variationId:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "addRule",
"variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00",
"clauses": [{
"contextKind": "organization",
"attribute": "located_in",
"op": "in",
"negate": false,
"values": ["Sweden", "Norway"]
}]
}]
}
Here’s an example that uses a percentage rollout:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "addRule",
"clauses": [{
"contextKind": "organization",
"attribute": "located_in",
"op": "in",
"negate": false,
"values": ["Sweden", "Norway"]
}],
"rolloutContextKind": "organization",
"rolloutWeights": {
"2f43f67c-3e4e-4945-a18a-26559378ca00": 15000, // serve 15% this variation
"e5830889-1ec5-4b0c-9cc9-c48790090c43": 85000 // serve 85% this variation
}
}]
}
Adds context keys to the individual context targets for the context kind that contextKind specifies and the variation that variationId specifies. Returns an error if this causes the flag to target the same context key in multiple variations.
values: List of context keys.contextKind: (Optional) Context kind to target, defaults to uservariationId: ID of a variation on the flag.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "addTargets",
"values": ["context-key-123abc", "context-key-456def"],
"variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00"
}]
}
Adds user keys to the individual user targets for the variation that variationId specifies. Returns an error if this causes the flag to target the same user key in multiple variations. If you are working with contexts, use addTargets instead of this instruction.
values: List of user keys.variationId: ID of a variation on the flag.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "addUserTargets",
"values": ["user-key-123abc", "user-key-456def"],
"variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00"
}]
}
Adds values to the values of the clause that ruleId and clauseId indicate. Does not update the context kind, attribute, or operator.
ruleId: ID of a rule in the flag.clauseId: ID of a clause in that rule.values: Array of strings, case sensitive.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "addValuesToClause",
"ruleId": "a902ef4a-2faf-4eaf-88e1-ecc356708a29",
"clauseId": "10a58772-3121-400f-846b-b8a04e8944ed",
"values": ["beta_testers"]
}]
}
Adds a variation to the flag.
value: The variation value.name: (Optional) The variation name.description: (Optional) A description for the variation.Here’s an example:
{
"instructions": [ { "kind": "addVariation", "value": 20, "name": "New variation" } ]
}
Removes all individual targets from the variation that variationId specifies. This includes both user and non-user targets.
variationId: ID of a variation on the flag.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [ { "kind": "clearTargets", "variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00" } ]
}
Removes all individual user targets from the variation that variationId specifies. If you are working with contexts, use clearTargets instead of this instruction.
variationId: ID of a variation on the flag.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [ { "kind": "clearUserTargets", "variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00" } ]
}
Removes the clauses specified by clauseIds from the rule indicated by ruleId.
ruleId: ID of a rule in the flag.clauseIds: Array of IDs of clauses in the rule.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "removeClauses",
"ruleId": "a902ef4a-2faf-4eaf-88e1-ecc356708a29",
"clauseIds": ["10a58772-3121-400f-846b-b8a04e8944ed", "36a461dc-235e-4b08-97b9-73ce9365873e"]
}]
}
Removes the prerequisite flag indicated by key. Does nothing if this prerequisite does not exist.
key: Flag key of an existing prerequisite flag.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [ { "kind": "removePrerequisite", "key": "prereq-flag-key-123abc" } ]
}
Removes the targeting rule specified by ruleId. Does nothing if the rule does not exist.
ruleId: ID of a rule in the flag.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [ { "kind": "removeRule", "ruleId": "a902ef4a-2faf-4eaf-88e1-ecc356708a29" } ]
}
Removes context keys from the individual context targets for the context kind that contextKind specifies and the variation that variationId specifies. Does nothing if the flag does not target the context keys.
values: List of context keys.contextKind: (Optional) Context kind to target, defaults to uservariationId: ID of a flag variation.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "removeTargets",
"values": ["context-key-123abc", "context-key-456def"],
"variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00"
}]
}
Removes user keys from the individual user targets for the variation that variationId specifies. Does nothing if the flag does not target the user keys. If you are working with contexts, use removeTargets instead of this instruction.
values: List of user keys.variationId: ID of a flag variation.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "removeUserTargets",
"values": ["user-key-123abc", "user-key-456def"],
"variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00"
}]
}
Removes values from the values of the clause indicated by ruleId and clauseId. Does not update the context kind, attribute, or operator.
ruleId: ID of a rule in the flag.clauseId: ID of a clause in that rule.values: Array of strings, case sensitive.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "removeValuesFromClause",
"ruleId": "a902ef4a-2faf-4eaf-88e1-ecc356708a29",
"clauseId": "10a58772-3121-400f-846b-b8a04e8944ed",
"values": ["beta_testers"]
}]
}
Removes a variation from the flag.
variationId: ID of a variation of the flag to remove.Here’s an example:
{
"instructions": [ { "kind": "removeVariation", "variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00" } ]
}
Rearranges the rules to match the order given in ruleIds. Returns an error if ruleIds does not match the current set of rules on the flag.
ruleIds: Array of IDs of all rules in the flag.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "reorderRules",
"ruleIds": ["a902ef4a-2faf-4eaf-88e1-ecc356708a29", "63c238d1-835d-435e-8f21-c8d5e40b2a3d"]
}]
}
Removes all existing prerequisites and replaces them with the list you provide.
prerequisites: A list of prerequisites. Each item in the list must include a flag key and variationId.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [
{
"kind": "replacePrerequisites",
"prerequisites": [
{
"key": "prereq-flag-key-123abc",
"variationId": "10a58772-3121-400f-846b-b8a04e8944ed"
},
{
"key": "another-prereq-flag-key-456def",
"variationId": "e5830889-1ec5-4b0c-9cc9-c48790090c43"
}
]
}
]
}
Removes all targeting rules for the flag and replaces them with the list you provide.
rules: A list of rules.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [
{
"kind": "replaceRules",
"rules": [
{
"variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00",
"description": "My new rule",
"clauses": [
{
"contextKind": "user",
"attribute": "segmentMatch",
"op": "segmentMatch",
"values": ["test"]
}
],
"trackEvents": true
}
]
}
]
}
Removes all existing targeting and replaces it with the list of targets you provide.
targets: A list of context targeting. Each item in the list includes an optional contextKind that defaults to user, a required variationId, and a required list of values.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [
{
"kind": "replaceTargets",
"targets": [
{
"contextKind": "user",
"variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00",
"values": ["user-key-123abc"]
},
{
"contextKind": "device",
"variationId": "e5830889-1ec5-4b0c-9cc9-c48790090c43",
"values": ["device-key-456def"]
}
]
}
]
}
Removes all existing user targeting and replaces it with the list of targets you provide. In the list of targets, you must include a target for each of the flag’s variations. If you are working with contexts, use replaceTargets instead of this instruction.
targets: A list of user targeting. Each item in the list must include a variationId and a list of values.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [
{
"kind": "replaceUserTargets",
"targets": [
{
"variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00",
"values": ["user-key-123abc", "user-key-456def"]
},
{
"variationId": "e5830889-1ec5-4b0c-9cc9-c48790090c43",
"values": ["user-key-789ghi"]
}
]
}
]
}
Replaces the clause indicated by ruleId and clauseId with clause.
ruleId: ID of a rule in the flag.clauseId: ID of a clause in that rule.clause: New clause object, with contextKind (string), attribute (string), op (string), negate (boolean), and values (array of strings, numbers, or dates) properties. The contextKind, attribute, and values are case sensitive. The op must be lower-case.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "updateClause",
"ruleId": "a902ef4a-2faf-4eaf-88e1-ecc356708a29",
"clauseId": "10c7462a-2062-45ba-a8bb-dfb3de0f8af5",
"clause": {
"contextKind": "user",
"attribute": "country",
"op": "in",
"negate": false,
"values": ["Mexico", "Canada"]
}
}]
}
Updates the default on or off variation of the flag.
onVariationValue: (Optional) The value of the variation of the new on variation.offVariationValue: (Optional) The value of the variation of the new off variationHere’s an example:
{
"instructions": [ { "kind": "updateDefaultVariation", "OnVariationValue": true, "OffVariationValue": false } ]
}
Updates the default or “fallthrough” rule for the flag, which the flag serves when a context matches none of the targeting rules. The rule can serve either the variation that variationId indicates, or a percentage rollout that rolloutWeights and rolloutBucketBy indicate.
variationId: ID of a variation of the flag.or
rolloutWeights: Map of variationId to weight, in thousandths of a percent (0-100000).rolloutBucketBy: (Optional) Context attribute available in the specified rolloutContextKind.rolloutContextKind: (Optional) Context kind, defaults to userHere’s an example that uses a variationId:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "updateFallthroughVariationOrRollout",
"variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00"
}]
}
Here’s an example that uses a percentage rollout:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "updateFallthroughVariationOrRollout",
"rolloutContextKind": "user",
"rolloutWeights": {
"2f43f67c-3e4e-4945-a18a-26559378ca00": 15000, // serve 15% this variation
"e5830889-1ec5-4b0c-9cc9-c48790090c43": 85000 // serve 85% this variation
}
}]
}
Updates the default off variation to variationId. The flag serves the default off variation when the flag’s targeting is Off.
variationId: ID of a variation of the flag.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [ { "kind": "updateOffVariation", "variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00" } ]
}
Changes the prerequisite flag that key indicates to use the variation that variationId indicates. Returns an error if this prerequisite does not exist.
key: Flag key of an existing prerequisite flag.variationId: ID of a variation of the prerequisite flag.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "updatePrerequisite",
"key": "example-prereq-flag-key",
"variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00"
}]
}
Updates the description of the feature flag rule.
description: The new human-readable description for this rule.ruleId: The ID of the rule. You can retrieve this by making a GET request for the flag.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "updateRuleDescription",
"description": "New rule description",
"ruleId": "a902ef4a-2faf-4eaf-88e1-ecc356708a29"
}]
}
Updates whether or not LaunchDarkly tracks events for the feature flag associated with this rule.
ruleId: The ID of the rule. You can retrieve this by making a GET request for the flag.trackEvents: Whether or not events are tracked.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "updateRuleTrackEvents",
"ruleId": "a902ef4a-2faf-4eaf-88e1-ecc356708a29",
"trackEvents": true
}]
}
Updates what ruleId serves when its clauses evaluate to true. The rule can serve either the variation that variationId indicates, or a percent rollout that rolloutWeights and rolloutBucketBy indicate.
ruleId: ID of a rule in the flag.
variationId: ID of a variation of the flag.
or
rolloutWeights: Map of variationId to weight, in thousandths of a percent (0-100000).
rolloutBucketBy: (Optional) Context attribute available in the specified rolloutContextKind.
rolloutContextKind: (Optional) Context kind, defaults to user
Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [{
"kind": "updateRuleVariationOrRollout",
"ruleId": "a902ef4a-2faf-4eaf-88e1-ecc356708a29",
"variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00"
}]
}
Updates whether or not LaunchDarkly tracks events for the feature flag, for all rules.
trackEvents: Whether or not events are tracked.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [ { "kind": "updateTrackEvents", "trackEvents": true } ]
}
Updates whether or not LaunchDarkly tracks events for the feature flag, for the default rule.
trackEvents: Whether or not events are tracked.Here’s an example:
{
"environmentKey": "environment-key-123abc",
"instructions": [ { "kind": "updateTrackEventsFallthrough", "trackEvents": true } ]
}
Updates a variation of the flag.
variationId: The ID of the variation to update.name: (Optional) The updated variation name.value: (Optional) The updated variation value.description: (Optional) The updated variation description.Here’s an example:
{
"instructions": [ { "kind": "updateVariation", "variationId": "2f43f67c-3e4e-4945-a18a-26559378ca00", "value": 20 } ]
}
These instructions do not require the environmentKey parameter. They make changes that apply to the flag across all environments.
Adds a new custom property to the feature flag. Custom properties are used to associate feature flags with LaunchDarkly integrations. For example, if you create an integration with an issue tracking service, you may want to associate a flag with a list of issues related to a feature’s development.
key: The custom property key.name: The custom property name.values: A list of the associated values for the custom property.Here’s an example:
{
"instructions": [{
"kind": "addCustomProperties",
"key": "example-custom-property",
"name": "Example custom property",
"values": ["value1", "value2"]
}]
}
Adds tags to the feature flag.
values: A list of tags to add.Here’s an example:
{
"instructions": [ { "kind": "addTags", "values": ["tag1", "tag2"] } ]
}
Marks the feature flag as permanent. LaunchDarkly does not prompt you to remove permanent flags, even if one variation is rolled out to all your customers.
Here’s an example:
{
"instructions": [ { "kind": "makeFlagPermanent" } ]
}
Marks the feature flag as temporary.
Here’s an example:
{
"instructions": [ { "kind": "makeFlagTemporary" } ]
}
Removes the associated values from a custom property. If all the associated values are removed, this instruction also removes the custom property.
key: The custom property key.values: A list of the associated values to remove from the custom property.{
"instructions": [{
"kind": "replaceCustomProperties",
"key": "example-custom-property",
"values": ["value1", "value2"]
}]
}
Removes the flag’s maintainer. To set a new maintainer, use the updateMaintainerMember or updateMaintainerTeam instructions.
Here’s an example:
{
"instructions": [ { "kind": "removeMaintainer" } ]
}
Removes tags from the feature flag.
values: A list of tags to remove.Here’s an example:
{
"instructions": [ { "kind": "removeTags", "values": ["tag1", "tag2"] } ]
}
Replaces the existing associated values for a custom property with the new values.
key: The custom property key.name: The custom property name.values: A list of the new associated values for the custom property.Here’s an example:
{
"instructions": [{
"kind": "replaceCustomProperties",
"key": "example-custom-property",
"name": "Example custom property",
"values": ["value1", "value2"]
}]
}
Turns off client-side SDK availability for the flag. This is equivalent to unchecking the SDKs using Mobile key and/or SDKs using Client-side ID boxes for the flag. If you’re using a client-side or mobile SDK, you must expose your feature flags in order for the client-side or mobile SDKs to evaluate them.
value: Use “usingMobileKey” to turn off availability for mobile SDKs. Use “usingEnvironmentId” to turn on availability for client-side SDKs.Here’s an example:
{
"instructions": [ { "kind": "turnOffClientSideAvailability", "value": "usingMobileKey" } ]
}
Turns on client-side SDK availability for the flag. This is equivalent to checking the SDKs using Mobile key and/or SDKs using Client-side ID boxes for the flag. If you’re using a client-side or mobile SDK, you must expose your feature flags in order for the client-side or mobile SDKs to evaluate them.
value: Use “usingMobileKey” to turn on availability for mobile SDKs. Use “usingEnvironmentId” to turn on availability for client-side SDKs.Here’s an example:
{
"instructions": [ { "kind": "turnOnClientSideAvailability", "value": "usingMobileKey" } ]
}
Updates the feature flag description.
value: The new description.Here’s an example:
{
"instructions": [ { "kind": "updateDescription", "value": "Updated flag description" } ]
}
Updates the maintainer of the flag to an existing member and removes the existing maintainer.
value: The ID of the member.Here’s an example:
{
"instructions": [ { "kind": "updateMaintainerMember", "value": "61e9b714fd47591727db558a" } ]
}
Updates the maintainer of the flag to an existing team and removes the existing maintainer.
value: The key of the team.Here’s an example:
{
"instructions": [ { "kind": "updateMaintainerTeam", "value": "example-team-key" } ]
}
Updates the feature flag name.
value: The new name.Here’s an example:
{
"instructions": [ { "kind": "updateName", "value": "Updated flag name" } ]
}
These instructions do not require the environmentKey parameter. They make changes that apply to the flag across all environments.
Archives the feature flag. This retires it from LaunchDarkly without deleting it. You cannot archive a flag that is a prerequisite of other flags.
{
"instructions": [ { "kind": "archiveFlag" } ]
}
Deletes the feature flag and its rules. You cannot restore a deleted flag. If this flag is requested again, the flag value defined in code will be returned for all contexts.
Here’s an example:
{
"instructions": [ { "kind": "deleteFlag" } ]
}
Deprecates the feature flag. This hides it from the live flags list without archiving or deleting it.
Here’s an example:
{
"instructions": [ { "kind": "deprecateFlag" } ]
}
Restores the feature flag if it was previously deprecated.
Here’s an example:
{
"instructions": [ { "kind": "restoreDeprecatedFlag" } ]
}
Restores the feature flag if it was previously archived.
Here’s an example:
{
"instructions": [ { "kind": "restoreFlag" } ]
}
If you do not include the semantic patch header described above, you can use a JSON patch or JSON merge patch representation of the desired changes.
In the JSON patch representation, use a JSON pointer in the path element to describe what field to change. Use the Get feature flag endpoint to find the field you want to update.
There are a few special cases to keep in mind when determining the value of the path element:
[
{
"op": "add",
"path": "/environments/devint/targets/0/values/-",
"value": "TestClient10"
}
]
[
{
"op": "add",
"path": "/environments/devint/targets/-",
"value": { "variation": 0, "values": ["TestClient10"] }
}
]
[
{
"op": "add",
"path": "/releasePipelineKey",
"value": "example-release-pipeline-key"
}
]
If a request attempts to alter a flag configuration in an environment where approvals are required for the flag, the request will fail with a 405. Changes to the flag configuration in that environment will require creating an approval request.
If a flag configuration change made through this endpoint would cause a pending scheduled change or approval request to fail, this endpoint will return a 400. You can ignore this check by adding an ignoreConflicts query parameter set to true.
For migration flags, the cohort information is included in the rules property of a flag’s response. You can update cohorts by updating rules. Default cohort information is included in the fallthrough property of a flag’s response. You can update the default cohort by updating fallthrough.
When you update the rollout for a cohort or the default cohort through the API, provide a rollout instead of a single variationId.
To learn more, read Migration flags.
curl --request PATCH \
--url https://app.launchdarkly.com/api/v2/flags/{projectKey}/{featureFlagKey} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"patch": [
{
"op": "replace",
"path": "/description",
"value": "New description for this flag"
}
]
}
'{
"name": "My Flag",
"kind": "boolean",
"key": "flag-key-123abc",
"_version": 1,
"creationDate": "1494437420312",
"variations": [
{
"_id": "e432f62b-55f6-49dd-a02f-eb24acf39d05",
"value": true
},
{
"_id": "a00bf58d-d252-476c-b915-15a74becacb4",
"value": false
}
],
"temporary": true,
"tags": [
"example-tag"
],
"_links": {
"parent": {
"href": "/api/v2/flags/my-project",
"type": "application/json"
},
"self": {
"href": "/api/v2/flags/my-project/my-flag",
"type": "application/json"
}
},
"experiments": "{\"baselineIdx\": 0,\"items\": []}",
"customProperties": "{\"jira.issues\":{\"name\":\"Jira issues\",\"value\":[\"is-123\",\"is-456\"]}}",
"archived": false,
"description": "This flag controls the example widgets",
"includeInSnippet": true,
"clientSideAvailability": "{\"usingMobileKey\":true,\"usingEnvironmentId\":false}",
"maintainerId": "569f183514f4432160000007",
"_maintainer": {
"_links": {
"self": {
"href": "/api/v2/members/569f183514f4432160000007",
"type": "application/json"
}
},
"_id": "569f183514f4432160000007",
"role": "admin",
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores"
},
"maintainerTeamKey": "team-1",
"_maintainerTeam": {
"key": "team-key-123abc",
"name": "Example team",
"_links": {
"parent": {
"href": "/api/v2/teams",
"type": "application/json"
},
"roles": {
"href": "/api/v2/teams/example-team/roles",
"type": "application/json"
},
"self": {
"href": "/api/v2/teams/example-team",
"type": "application/json"
}
}
},
"goalIds": [],
"archivedDate": "1494437420312",
"deprecated": false,
"deprecatedDate": "1494437420312",
"defaults": "{\"onVariation\":0,\"offVariation\":1}",
"_purpose": "<string>",
"migrationSettings": {
"contextKind": "device",
"stageCount": 6
},
"environments": {
"my-environment": {
"_environmentName": "My Environment",
"_site": {
"href": "/default/my-environment/features/client-side-flag",
"type": "text/html"
},
"_summary": {
"prerequisites": 0,
"variations": {
"0": {
"contextTargets": 1,
"isFallthrough": true,
"nullRules": 0,
"rules": 0,
"targets": 1
},
"1": {
"isOff": true,
"nullRules": 0,
"rules": 0,
"targets": 0
}
}
},
"archived": false,
"contextTargets": [
{
"contextKind": "device",
"values": [
"device-key-123abc"
],
"variation": 0
}
],
"fallthrough": {
"variation": 0
},
"lastModified": 1627071171347,
"offVariation": 1,
"on": false,
"prerequisites": [],
"rules": [],
"salt": "61eddeadbeef4da1facecafe3a60a397",
"sel": "810edeadbeef4844facecafe438f2999492",
"targets": [
{
"contextKind": "user",
"values": [
"user-key-123abc"
],
"variation": 0
}
],
"trackEvents": false,
"trackEventsFallthrough": false,
"version": 1
}
}
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The project key
The feature flag key. The key identifies the flag in your code.
If true, the patch will be applied even if it causes a pending scheduled change or approval request to fail.
If true, the patch will be validated but not persisted. Returns a preview of the flag after the patch is applied.
Global flag response
A human-friendly name for the feature flag
"My Flag"
Kind of feature flag
boolean, multivariate "boolean"
A unique key used to reference the flag in your code
"flag-key-123abc"
Version of the feature flag
1
Timestamp of flag creation date
"1494437420312"
An array of possible variations for the flag
Show child attributes
[
{
"_id": "e432f62b-55f6-49dd-a02f-eb24acf39d05",
"value": true
},
{
"_id": "a00bf58d-d252-476c-b915-15a74becacb4",
"value": false
}
]Whether the flag is a temporary flag
true
Tags for the feature flag
["example-tag"]The location and content type of related resources
Show child attributes
{
"parent": {
"href": "/api/v2/flags/my-project",
"type": "application/json"
},
"self": {
"href": "/api/v2/flags/my-project/my-flag",
"type": "application/json"
}
}Experimentation data for the feature flag
Show child attributes
"{\"baselineIdx\": 0,\"items\": []}"
Metadata attached to the feature flag, in the form of the property key associated with a name and array of values for the metadata to associate with this flag. Typically used to store data related to an integration.
Show child attributes
"{\"jira.issues\":{\"name\":\"Jira issues\",\"value\":[\"is-123\",\"is-456\"]}}"
Boolean indicating if the feature flag is archived
false
Description of the feature flag
"This flag controls the example widgets"
Deprecated, use clientSideAvailability. Whether this flag should be made available to the client-side JavaScript SDK
true
Which type of client-side SDKs the feature flag is available to
Show child attributes
"{\"usingMobileKey\":true,\"usingEnvironmentId\":false}"
Associated maintainerId for the feature flag
"569f183514f4432160000007"
Associated maintainer member info for the feature flag
Show child attributes
The key of the associated team that maintains this feature flag
"team-1"
Associated maintainer team info for the feature flag
Show child attributes
Deprecated, use experiments instead
[]If archived is true, date of archive
"1494437420312"
Boolean indicating if the feature flag is deprecated
false
If deprecated is true, date of deprecation
"1494437420312"
The indices, from the array of variations, for the variations to serve by default when targeting is on and when targeting is off. These variations will be used for this flag in new environments. If omitted, the first and last variation will be used.
Show child attributes
"{\"onVariation\":0,\"offVariation\":1}"
Migration-related settings for the flag
Show child attributes
Details on the environments for this flag. Only returned if the request is filtered by environment, using the filterEnv query parameter.
Show child attributes
{
"my-environment": {
"_environmentName": "My Environment",
"_site": {
"href": "/default/my-environment/features/client-side-flag",
"type": "text/html"
},
"_summary": {
"prerequisites": 0,
"variations": {
"0": {
"contextTargets": 1,
"isFallthrough": true,
"nullRules": 0,
"rules": 0,
"targets": 1
},
"1": {
"isOff": true,
"nullRules": 0,
"rules": 0,
"targets": 0
}
}
},
"archived": false,
"contextTargets": [
{
"contextKind": "device",
"values": ["device-key-123abc"],
"variation": 0
}
],
"fallthrough": { "variation": 0 },
"lastModified": 1627071171347,
"offVariation": 1,
"on": false,
"prerequisites": [],
"rules": [],
"salt": "61eddeadbeef4da1facecafe3a60a397",
"sel": "810edeadbeef4844facecafe438f2999492",
"targets": [
{
"contextKind": "user",
"values": ["user-key-123abc"],
"variation": 0
}
],
"trackEvents": false,
"trackEventsFallthrough": false,
"version": 1
}
}curl --request PATCH \
--url https://app.launchdarkly.com/api/v2/flags/{projectKey}/{featureFlagKey} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"patch": [
{
"op": "replace",
"path": "/description",
"value": "New description for this flag"
}
]
}
'{
"name": "My Flag",
"kind": "boolean",
"key": "flag-key-123abc",
"_version": 1,
"creationDate": "1494437420312",
"variations": [
{
"_id": "e432f62b-55f6-49dd-a02f-eb24acf39d05",
"value": true
},
{
"_id": "a00bf58d-d252-476c-b915-15a74becacb4",
"value": false
}
],
"temporary": true,
"tags": [
"example-tag"
],
"_links": {
"parent": {
"href": "/api/v2/flags/my-project",
"type": "application/json"
},
"self": {
"href": "/api/v2/flags/my-project/my-flag",
"type": "application/json"
}
},
"experiments": "{\"baselineIdx\": 0,\"items\": []}",
"customProperties": "{\"jira.issues\":{\"name\":\"Jira issues\",\"value\":[\"is-123\",\"is-456\"]}}",
"archived": false,
"description": "This flag controls the example widgets",
"includeInSnippet": true,
"clientSideAvailability": "{\"usingMobileKey\":true,\"usingEnvironmentId\":false}",
"maintainerId": "569f183514f4432160000007",
"_maintainer": {
"_links": {
"self": {
"href": "/api/v2/members/569f183514f4432160000007",
"type": "application/json"
}
},
"_id": "569f183514f4432160000007",
"role": "admin",
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores"
},
"maintainerTeamKey": "team-1",
"_maintainerTeam": {
"key": "team-key-123abc",
"name": "Example team",
"_links": {
"parent": {
"href": "/api/v2/teams",
"type": "application/json"
},
"roles": {
"href": "/api/v2/teams/example-team/roles",
"type": "application/json"
},
"self": {
"href": "/api/v2/teams/example-team",
"type": "application/json"
}
}
},
"goalIds": [],
"archivedDate": "1494437420312",
"deprecated": false,
"deprecatedDate": "1494437420312",
"defaults": "{\"onVariation\":0,\"offVariation\":1}",
"_purpose": "<string>",
"migrationSettings": {
"contextKind": "device",
"stageCount": 6
},
"environments": {
"my-environment": {
"_environmentName": "My Environment",
"_site": {
"href": "/default/my-environment/features/client-side-flag",
"type": "text/html"
},
"_summary": {
"prerequisites": 0,
"variations": {
"0": {
"contextTargets": 1,
"isFallthrough": true,
"nullRules": 0,
"rules": 0,
"targets": 1
},
"1": {
"isOff": true,
"nullRules": 0,
"rules": 0,
"targets": 0
}
}
},
"archived": false,
"contextTargets": [
{
"contextKind": "device",
"values": [
"device-key-123abc"
],
"variation": 0
}
],
"fallthrough": {
"variation": 0
},
"lastModified": 1627071171347,
"offVariation": 1,
"on": false,
"prerequisites": [],
"rules": [],
"salt": "61eddeadbeef4da1facecafe3a60a397",
"sel": "810edeadbeef4844facecafe438f2999492",
"targets": [
{
"contextKind": "user",
"values": [
"user-key-123abc"
],
"variation": 0
}
],
"trackEvents": false,
"trackEventsFallthrough": false,
"version": 1
}
}
}